## kodi-dmo 19.5

=== tools/depends/target/Makefile ===
include ../Makefile.include

ifneq ($(shell test -f $(PREFIX)/share/config.site && echo 1),1)
  $(error Error: $(PREFIX)/share/config.site  is missing. Please reconfigure depends to generate it)
endif

DEPENDS = \
	pcre expat gettext sqlite3 libgpg-error \
	libgcrypt bzip2 libfstrcmp liblzo2 freetype2 fontconfig \
	openssl gmp nettle gnutls googletest curl nghttp2 \
	libjpeg-turbo libpng fribidi libass \
	libxml2 rapidjson libmicrohttpd mariadb libffi \
	python3 libshairplay libfmt libspdlog \
	libplist libcec libbluray tinyxml \
	taglib libusb libnfs \
	pythonmodule-pil pythonmodule-pycryptodome pythonmodule-setuptools \
	libxslt ffmpeg crossguid libudfread \
	libdvdread libdvdnav libdvdcss p8-platform flatbuffers dav1d xz

ifeq ($(ENABLE_GPLV3),yes)
  DEPENDS+=samba-gplv3 libcdio-gplv3
else
  DEPENDS+=samba libcdio
endif

ifeq ($(OS),darwin_embedded)
  EXCLUDED_DEPENDS = libcec libusb
  ifeq ($(TARGET_PLATFORM),appletvos)
    DEPENDS += boblight
    EXCLUDED_DEPENDS += libshairplay libplist
  endif
  DEPENDS += darwin-embedded-entitlements
endif

ifeq ($(OS),osx)
  DEPENDS += libsdl
  EXCLUDED_DEPENDS = libusb
endif

ifeq ($(OS),android)
  EXCLUDED_DEPENDS = libcec libusb
  DEPENDS += dummy-libxbmc libuuid libandroidjni libzip
  PYMODULE_DEPS = dummy-libxbmc
  LIBUUID = libuuid
endif

DEPENDS := $(filter-out $(EXCLUDED_DEPENDS),$(DEPENDS))

ZLIB=
ifneq ($(HAS_ZLIB),1)
  DEPENDS += zlib
  ZLIB = zlib
endif

ICONV=
ifeq ($(NEED_LIBICONV),1)
  DEPENDS += libiconv
  ICONV = libiconv
endif

ALSA_LIB=
ifeq ($(OS),linux)
  DEPENDS += dbus libuuid alsa-lib libdrm libxkbcommon libinput libudev libevdev mtdev wayland waylandpp wayland-protocols linux-system-x11-libs
  ALSA_LIB = alsa-lib
  LIBUUID = libuuid

  ifeq ($(RENDER_SYSTEM),gl)
    WAYLANDPP_DEPS += linux-system-gl-libs
    DEPENDS += linux-system-gl-libs
  else
    WAYLANDPP_DEPS += mesa
    DEPENDS += mesa
  endif

  MESA_DEPS += wayland-protocols wayland linux-system-x11-libs

  ifeq ($(CPU),x86_64)
    LIBVA_DEPS += wayland linux-system-x11-libs

    DEPENDS += libva
    LIBVA = libva
  endif
endif

.PHONY: $(DEPENDS)

all: .installed-$(PLATFORM)

gettext: $(ICONV)
xz: gettext
libgcrypt: libgpg-error
fontconfig: freetype2 expat $(ICONV) $(LIBUUID)
curl: openssl nghttp2
libass: fontconfig fribidi libpng freetype2 expat $(ICONV)
libmicrohttpd: gnutls libgcrypt libgpg-error
python3: expat gettext libxml2 sqlite3 openssl libffi bzip2 xz
libcdio: $(ICONV)
libcdio-gplv3: $(ICONV)
libplist: $(ZLIB)
libbluray: fontconfig freetype2 $(ICONV) libxml2
mariadb: openssl $(ICONV) $(ZLIB)
libzip: bzip2 gnutls $(ZLIB)
libpng: $(ZLIB)
openssl: $(ZLIB)
gnutls: nettle $(ZLIB)
nettle: gmp
pythonmodule-pycryptodome: $(PYMODULE_DEPS) python3 pythonmodule-setuptools
pythonmodule-pil: bzip2 $(PYMODULE_DEPS) $(ZLIB) libjpeg-turbo libpng freetype2 python3 pythonmodule-setuptools
pythonmodule-setuptools: $(PYMODULE_DEPS) python3
libxslt: libgcrypt libxml2
ffmpeg: $(ICONV) $(ZLIB) bzip2 gnutls dav1d $(LIBVA)
libcec: p8-platform
crossguid: $(LIBUUID)
libdvdnav: libdvdread
libdvdread: libdvdcss
wayland: expat libffi
waylandpp: wayland $(WAYLANDPP_DEPS)
dbus: expat
libinput: mtdev libevdev meson-cross-file
libevdev: libudev
samba-gplv3: gnutls
taglib: $(ZLIB)
dav1d: meson-cross-file
fribidi: meson-cross-file
libspdlog: libfmt
libdrm: meson-cross-file
mesa: libdrm meson-cross-file $(MESA_DEPS)
libva: libdrm $(LIBVA_DEPS)

.installed-$(PLATFORM): $(DEPENDS)
	touch $@
	@echo "Dependencies built successfully."

$(DEPENDS):
	$(MAKE) -C $@

clean:
	for d in $(DEPENDS); do $(MAKE) -C $$d clean; done

# Debug target, this will DELETE all data in staging!
test-dependencies:
	( for d in $(DEPENDS); do \
	rm -rf $(PREFIX); \
	mkdir -p $(PREFIX)/include $(PREFIX)/share $(PREFIX)/bin; \
	cp -f config.site Toolchain.cmake $(PREFIX)/share/; \
	$(MAKE) distclean; \
	$(MAKE) $$d; done ) && echo "$@ built successfully"


distclean::
	for d in $(DEPENDS); do $(MAKE) -C $$d distclean; done

HOST_LIB_PKGCONFIG := $(firstword $(wildcard /usr/lib64/pkgconfig /usr/lib/$(HOST)/pkgconfig))

linux-system-x11-libs:
	[ -f $(PREFIX)/lib/pkgconfig/damageproto.pc ] || ln -sf  /usr/share/pkgconfig/damageproto.pc $(PREFIX)/lib/pkgconfig/damageproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/fixesproto.pc ] || ln -sf  /usr/share/pkgconfig/fixesproto.pc $(PREFIX)/lib/pkgconfig/fixesproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/x11-xcb.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/x11-xcb.pc $(PREFIX)/lib/pkgconfig/x11-xcb.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-dri2.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-dri2.pc $(PREFIX)/lib/pkgconfig/xcb-dri2.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-dri3.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-dri3.pc $(PREFIX)/lib/pkgconfig/xcb-dri3.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-glx.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-glx.pc $(PREFIX)/lib/pkgconfig/xcb-glx.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-xfixes.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-xfixes.pc $(PREFIX)/lib/pkgconfig/xcb-xfixes.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-present.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-present.pc $(PREFIX)/lib/pkgconfig/xcb-present.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-randr.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb-randr.pc $(PREFIX)/lib/pkgconfig/xcb-randr.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-render.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb-render.pc $(PREFIX)/lib/pkgconfig/xcb-render.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-shape.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-shape.pc $(PREFIX)/lib/pkgconfig/xcb-shape.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-sync.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-sync.pc $(PREFIX)/lib/pkgconfig/xcb-sync.pc
	[ -f $(PREFIX)/lib/pkgconfig/xdamage.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xdamage.pc $(PREFIX)/lib/pkgconfig/xdamage.pc
	[ -f $(PREFIX)/lib/pkgconfig/xf86vidmodeproto.pc ] || ln -sf /usr/share/pkgconfig/xf86vidmodeproto.pc $(PREFIX)/lib/pkgconfig/xf86vidmodeproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xfixes.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xfixes.pc $(PREFIX)/lib/pkgconfig/xfixes.pc
	[ -f $(PREFIX)/lib/pkgconfig/xshmfence.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xshmfence.pc $(PREFIX)/lib/pkgconfig/xshmfence.pc
	[ -f $(PREFIX)/lib/pkgconfig/xxf86vm.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xxf86vm.pc $(PREFIX)/lib/pkgconfig/xxf86vm.pc
	[ -f $(PREFIX)/lib/pkgconfig/x11.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/x11.pc $(PREFIX)/lib/pkgconfig/x11.pc
	[ -f $(PREFIX)/lib/pkgconfig/xproto.pc ] || ln -sf /usr/share/pkgconfig/xproto.pc $(PREFIX)/lib/pkgconfig/xproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/kbproto.pc ] || ln -sf /usr/share/pkgconfig/kbproto.pc $(PREFIX)/lib/pkgconfig/kbproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb.pc $(PREFIX)/lib/pkgconfig/xcb.pc
	[ -f $(PREFIX)/lib/pkgconfig/pthread-stubs.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/pthread-stubs.pc $(PREFIX)/lib/pkgconfig/pthread-stubs.pc
	[ -f $(PREFIX)/lib/pkgconfig/xau.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xau.pc $(PREFIX)/lib/pkgconfig/xau.pc
	[ -f $(PREFIX)/lib/pkgconfig/xdmcp.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xdmcp.pc $(PREFIX)/lib/pkgconfig/xdmcp.pc
	[ -f $(PREFIX)/lib/pkgconfig/xext.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xext.pc $(PREFIX)/lib/pkgconfig/xext.pc
	[ -f $(PREFIX)/lib/pkgconfig/xextproto.pc ] || ln -sf /usr/share/pkgconfig/xextproto.pc $(PREFIX)/lib/pkgconfig/xextproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xrandr.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xrandr.pc $(PREFIX)/lib/pkgconfig/xrandr.pc
	[ -f $(PREFIX)/lib/pkgconfig/xrender.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xrender.pc $(PREFIX)/lib/pkgconfig/xrender.pc
	[ -f $(PREFIX)/lib/pkgconfig/randrproto.pc ] || ln -sf /usr/share/pkgconfig/randrproto.pc $(PREFIX)/lib/pkgconfig/randrproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/renderproto.pc ] || ln -sf /usr/share/pkgconfig/renderproto.pc $(PREFIX)/lib/pkgconfig/renderproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xt.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xt.pc $(PREFIX)/lib/pkgconfig/xt.pc
	[ -f $(PREFIX)/lib/pkgconfig/ice.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/ice.pc $(PREFIX)/lib/pkgconfig/ice.pc
	[ -f $(PREFIX)/lib/pkgconfig/sm.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/sm.pc $(PREFIX)/lib/pkgconfig/sm.pc
	[ -f $(PREFIX)/lib/pkgconfig/xmu.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xmu.pc $(PREFIX)/lib/pkgconfig/xmu.pc

linux-system-gl-libs:
	[ -f $(PREFIX)/lib/pkgconfig/egl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/egl.pc $(PREFIX)/lib/pkgconfig/egl.pc
	[ -f $(PREFIX)/lib/pkgconfig/wayland-egl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/wayland-egl.pc $(PREFIX)/lib/pkgconfig/wayland-egl.pc
	[ -f $(PREFIX)/lib/pkgconfig/gl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/gl.pc $(PREFIX)/lib/pkgconfig/gl.pc
	[ -f $(PREFIX)/lib/pkgconfig/glu.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/glu.pc $(PREFIX)/lib/pkgconfig/glu.pc

$(PREFIX)/share/cross-file.meson:
	PREFIX="$(PREFIX)" \
	NATIVEPREFIX="$(NATIVEPREFIX)" \
	CC="$(CC)" \
	CXX="$(CXX)" \
	AR="$(AR)" \
	STRIP="$(STRIP)" \
	MESON_SYSTEM="$(MESON_SYSTEM)" \
	MESON_CPU="$(MESON_CPU)" \
	CPU="$(CPU)" \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	./meson-cross-setup.sh $@

.PHONY: meson-cross-file
meson-cross-file: $(PREFIX)/share/cross-file.meson

=== xbmc/platform/android/CMakeLists.txt ===
set(SOURCES CPUInfoAndroid.cpp
            MemUtils.cpp
            PlatformAndroid.cpp)

set(HEADERS CPUInfoAndroid.h
            PlatformAndroid.h)

core_add_library(androidsupport)

=== xbmc/platform/win10/CMakeLists.txt ===
set(SOURCES CPUInfoWin10.cpp
            input/RemoteControlXbox.cpp
            Environment.cpp
            Win10App.cpp
            MessagePrinter.cpp
            PlatformWin10.cpp
            ../win32/CharsetConverter.cpp
            ../win32/dxerr.cpp
            ../win32/Filesystem.cpp
            ../win32/MemUtils.cpp
            ../win32/pch.cpp
            ../win32/WIN32Util.cpp
            ../win32/XTimeUtils.cpp)

set(HEADERS AsyncHelpers.h
            CPUInfoWin10.h
            input/RemoteControlXbox.h
            Win10App.h
            PlatformWin10.h
            ../win32/CharsetConverter.h
            ../win32/dirent.h
            ../win32/dxerr.h
            ../win32/my_ntddcdrm.h
            ../win32/my_ntddscsi.h
            ../win32/netdb.h
            ../win32/pch.h
            ../win32/PlatformDefs.h
            ../win32/resource.h
            ../win32/unistd.h
            ../win32/WIN32Util.h)

core_add_library(platform_win10)

=== xbmc/platform/win32/CMakeLists.txt ===
set(SOURCES CharsetConverter.cpp
            CPUInfoWin32.cpp
            Environment.cpp
            MemUtils.cpp
            MessagePrinter.cpp
            dxerr.cpp
            Filesystem.cpp
            pch.cpp
            PlatformWin32.cpp
            WIN32Util.cpp
            WindowHelper.cpp
            XTimeUtils.cpp)

set(HEADERS CharsetConverter.h
            CPUInfoWin32.h
            dirent.h
            dxerr.h
            IMMNotificationClient.h
            my_ntddcdrm.h
            my_ntddscsi.h
            netdb.h
            pch.h
            PlatformDefs.h
            PlatformWin32.h
            resource.h
            unistd.h
            WIN32Util.h
            WindowHelper.h)

core_add_library(platform_win32)

=== tools/EventClients/Clients/OSXRemote/CMakeLists.txt ===
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

set(SOURCES xbmcclientwrapper.mm
            xbmchelper_main.mm
            XBMCHelper.m
            HIDRemote/HIDRemote.m)

set(HEADERS XBMCDebugHelpers.h)

add_executable(XBMCHelper ${SOURCES} ${HEADERS})
set_target_properties(XBMCHelper PROPERTIES
                                 RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/tools/darwin/runtime
                                 RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/tools/darwin/runtime
                                 RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/tools/darwin/runtime
                                 FOLDER Tools)
target_link_libraries(XBMCHelper
                      PRIVATE ${SYSTEM_LDFLAGS}
                              "-framework IOKit"
                              "-framework Carbon"
                              "-framework Cocoa")

=== tools/depends/target/boblight/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile 01-fix_fpermissive.patch 02-fixandroid.patch 03-fixtvos.patch

#hint for building a fat lib - "lipo -arch i386 libboblight-i386.dylib -arch x86_64 libboblight-x86_64.dylib -output libboblight-fat.dylib"

# lib name, version
LIBNAME=libboblight
VERSION=r478
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) \
  --without-opengl \
  --without-portaudio \
  --without-x11 \
  --without-libusb

LIBDYLIB=$(PLATFORM)/src/.libs/$(LIBNAME).a

all: $(LIBDYLIB) .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../01-fix_fpermissive.patch
	cd $(PLATFORM); patch -p1 -i ../02-fixandroid.patch
	cd $(PLATFORM); autoreconf -vif
	cd $(PLATFORM); $(CONFIGURE)
ifeq ($(CPU),arm64)
	cd $(PLATFORM); patch -p1 -i ../03-fixtvos.patch
	cd $(PLATFORM); sed -ie "s|-bind_at_load||" ./libtool
	cd $(PLATFORM); sed -ie "s|-bind_at_load||" ./ltmain.sh
endif

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
ifeq ($(OS),darwin_embedded)
ifeq ($(TARGET_PLATFORM),appletvos)
	#deploy into source tree for tvos - we distribute libboblight with the bundle...
	cp $(PLATFORM)/src/.libs/libboblight.0.dylib $(CMAKE_SOURCE_DIR)/system/libboblight-tvos.0.dylib
endif
else
	echo "libboblight isn't a dependency of XBMC and won't be installed"
endif
	touch $@
clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -r .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/bzip2/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile Makefile.patch

# lib name, version
LIBNAME=bzip2
VERSION=1.0.8
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --disable-shared

LIBDYLIB=$(PLATFORM)/libbz2.a

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../Makefile.patch

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM) PREFIX=$(PREFIX) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" AR="$(AR)"

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install PREFIX=$(PREFIX)
	rm $(PREFIX)/bin/bzip2
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/cmakebuildsys/Makefile ===
-include ../../Makefile.include

VERSION.TXT := $(CMAKE_SOURCE_DIR)/version.txt
APP_NAME=$(shell awk '/APP_NAME/ {print tolower($$2)}' $(VERSION.TXT))

ifeq ($(Configuration),)
  Configuration = Release
  ifeq ($(DEBUG_BUILD),yes)
    Configuration = Debug
  endif
endif

ifeq ($(OS),darwin_embedded)
  CMAKE_BUILD_ARGUMENTS = -G Xcode
else ifeq ($(GEN),Xcode)
  CMAKE_BUILD_ARGUMENTS = -G Xcode
else
  CMAKE_BUILD_ARGUMENTS = -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=$(Configuration)
endif

ifeq ($(BUILD_DIR),)
  BUILD_DIR=$(CMAKE_SOURCE_DIR)/build
endif

all:
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR); $(CMAKE) $(CMAKE_BUILD_ARGUMENTS) -DENABLE_INTERNAL_CROSSGUID=OFF -DENABLE_INTERNAL_FFMPEG=OFF $(CMAKE_EXTRA_ARGUMENTS) $(CMAKE_SOURCE_DIR)

kodi:
	$(MAKE) -C $(BUILD_DIR)

install:
	$(MAKE) -C $(BUILD_DIR) install

clean:
	$(MAKE) -C $(BUILD_DIR) clean

distclean:
	cd $(BUILD_DIR) && rm -rf *

=== tools/depends/target/crossguid/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(crossguid)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

add_library(${PROJECT_NAME} guid.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES CXX_STANDARD 11
                                                 CXX_STANDARD_REQUIRED True
                                                 CXX_EXTENSIONS False)

if(UNIX AND NOT APPLE)
  find_package(UUID REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE UUID::UUID)
  target_compile_definitions(${PROJECT_NAME} PRIVATE GUID_LIBUUID)
elseif(APPLE)
  target_compile_definitions(${PROJECT_NAME} PRIVATE GUID_CFUUID)
elseif(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE GUID_WINDOWS)
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION lib)
install(FILES guid.h DESTINATION include)

=== tools/depends/target/crossguid/Makefile ===
-include ../../Makefile.include
DEPS = Makefile

# lib name, version
LIBNAME=crossguid
VERSION=8f399e8bd4
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz


ifeq ($(CROSS_COMPILING), yes)
  DEPS += ../../Makefile.include
  CXXFLAGS += -std=c++11
else
  CXXFLAGS += -std=c++11
  ROOT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

  ifeq ($(PLATFORM),)
    PLATFORM = native
    TARBALLS_LOCATION = $(ROOT_DIR)
    BASE_URL := http://mirrors.kodi.tv/build-deps/sources
    RETRIEVE_TOOL := curl -Ls --create-dirs -f -O
    ARCHIVE_TOOL := tar --strip-components=1 -xf
  endif
endif


# define specifying the native GUID implementation to use
GUID_PLATFORM_DEFINE=GUID_LIBUUID
ifeq ($(OS),osx)
	GUID_PLATFORM_DEFINE=GUID_CFUUID
endif
ifeq ($(OS),darwin_embedded)
	GUID_PLATFORM_DEFINE=GUID_CFUUID
endif

LIBDYLIB=$(PLATFORM)/lib$(LIBNAME).a

.PHONY: .installed-native

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
ifeq ($(PREFIX),)
	@echo
	@echo "ERROR: please set PREFIX to the kodi install path e.g. make PREFIX=/usr/local"
	@exit 1
endif
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

$(LIBDYLIB): $(PLATFORM)
	cd $(PLATFORM); $(CXX) -c guid.cpp -o guid.o $(CXXFLAGS) -D$(GUID_PLATFORM_DEFINE)
	cd $(PLATFORM); $(AR) rvs lib$(LIBNAME).a guid.o

.installed-$(PLATFORM): $(LIBDYLIB)
	@[ -d $(PREFIX)/include ] || mkdir -p $(PREFIX)/include
	@[ -d $(PREFIX)/lib ] || mkdir $(PREFIX)/lib
	cp $(PLATFORM)/guid.h $(PREFIX)/include/
	cp $(LIBDYLIB) $(PREFIX)/lib/
	touch $@

clean:
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/curl/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile

# lib name, version
LIBNAME=curl
VERSION=7.68.0
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2
# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --disable-shared --disable-ldap \
          --without-libssh2 --disable-ntlm-wb --enable-ipv6 --without-librtmp \
          --without-libidn2 --with-ca-fallback --with-ssl=$(PREFIX) --with-nghttp2=$(PREFIX)

LIBDYLIB=$(PLATFORM)/lib/.libs/lib$(LIBNAME).a

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/lib

.installed-$(PLATFORM): $(LIBDYLIB)
	# install only libcurl and includes
	$(MAKE) -C $(PLATFORM)/lib install
	$(MAKE) -C $(PLATFORM)/include install
	# make sure to also install libcurl.pc, we need to do
	# this because we are selectively installing only libcurl
	$(MAKE) -C $(PLATFORM) install-pkgconfigDATA
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

.PHONY: update-cacert
update-cacert: $(PLATFORM)
	$(PLATFORM)/lib/mk-ca-bundle.pl -u $(CMAKE_SOURCE_DIR)/system/certs/cacert.pem

=== tools/depends/target/darwin-embedded-entitlements/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile darwin_embedded_entitlements.xml

DARWIN_EMBEDDED_ENT=$(PREFIX)/share/darwin_embedded_entitlements.xml

all: $(DARWIN_EMBEDDED_ENT)

$(DARWIN_EMBEDDED_ENT):
	mkdir -p $(PREFIX)/share
	cp darwin_embedded_entitlements.xml $(DARWIN_EMBEDDED_ENT)


clean:
distclean::
	rm -f $(DARWIN_EMBEDDED_ENT)

=== debian/changelog ===
kodi-dmo (5:19.5-dmo0+deb11u7) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.9
  * Fixes following vulnerabilities: CVE-2023-49502, CVE-2025-0518

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Mar 2025 14:31:51 +0100

kodi-dmo (5:19.5-dmo0+deb11u6) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.8
  * Fixes following vulnerability: CVE-2024-7055

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Aug 2024 14:05:29 +0200

kodi-dmo (5:19.5-dmo0+deb11u5) oldstable; urgency=medium

  * Update included ffmpeg to 4.3.7
  * Fixes following vulnerabilities: CVE-2023-47342, CVE-2022-48434,
    CVE-2022-3341, CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Jun 2024 17:08:04 +0200

kodi-dmo (5:19.5-dmo0+deb11u4) oldstable; urgency=medium

  * Add upstream patch to fix CVE-2023-23082 (heap buffer overflow vulnerability)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jan 2024 11:37:27 +0100

kodi-dmo (5:19.5-dmo0+deb11u3) oldstable; urgency=medium

  * Add upstream patch to fix CVE-2023-30207 (dividing by zero).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Jul 2023 09:55:35 +0200

kodi-dmo (5:19.5-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.3.6
  * Fixes following vulnerability: CVE-2022-3109

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Apr 2023 13:12:39 +0200

kodi-dmo (5:19.5-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.
  * Move texturepacker in is own kodi-tools-texturepacker package.
  * Introduce a kodi-addons-dev-common package to hold all the arch-indep
    files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Dec 2022 10:07:12 +0100

kodi-dmo (5:19.4-dmo0+deb11u5) stable; urgency=medium

  * Update included ffmpeg to 4.3.5
    Fix CVE-2020-21041

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2022 15:26:33 +0200

kodi-dmo (5:19.4-dmo0+deb11u4) stable; urgency=medium

  * Add kodi-bin to Conflicts/Replaces in kodi-data package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2022 09:43:43 +0200

kodi-dmo (5:19.4-dmo0+deb11u3) stable; urgency=medium

  * Don't use system font. This overload fontconfig and make fonts selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Jul 2022 18:38:46 +0200

kodi-dmo (5:19.4-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.3.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Apr 2022 09:31:30 +0200

kodi-dmo (5:19.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 15:33:07 +0100

kodi-dmo (5:19.3-dmo0+deb11u2) stable; urgency=medium

  * Don't use dh_strip but objcopy to strip arm64 kodi binary.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Nov 2021 12:27:52 +0100

kodi-dmo (5:19.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Oct 2021 15:37:41 +0200

kodi-dmo (5:19.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 15:35:12 +0200

kodi-dmo (5:19.1-dmo3) unstable; urgency=medium

  * Build with included fmpeg 4.3.2 as kodi doesn't work with ffmpeg 4.4 and
    E-AC3 audio.
  * From Debian : Add runtime locale test and fallback.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jul 2021 15:27:43 +0200

kodi-dmo (5:19.1-dmo2) unstable; urgency=medium

  * Should Build-Depends on versioned fmtlib (>= 6.1.2)
  * Should Build-Depends on versioned libspdlog-dev (>= 1.5.0~)
  * Should Build-Depends on libudfread-dev
  * Build with ENABLE_MARIADBCLIENT instead of ENABLE_MYSQLCLIENT and
    replaces default-libmysqlclient-dev by libmariadb-dev in Build-depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 May 2021 09:36:23 +0200

kodi-dmo (5:19.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Fix missing Romanian characters in arial.ttf (Thanks to Emil).
  * Move to dh-linktree to make fonts symlink.
  * Should symlink jquery-3.5.1.min.js --> jquery.min.js not
    jquery-1.11.0.min.js

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 01:21:20 +0200

kodi-dmo (5:19.0-dmo2) unstable; urgency=medium

  * Rename python-pil to python3-pil.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Feb 2021 01:09:10 +0100

kodi-dmo (5:19.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Drop kodi-x11, kodi-wayland and kodi-gbm packages, now the same binary
    can handle all window systems.
  * Move include files from kodi-eventclients-dev to kodi-addons-dev package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Feb 2021 13:06:05 +0100

kodi-dmo (5:18.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Oct 2020 15:18:47 +0200

kodi-dmo (5:18.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Jul 2020 16:28:44 +0200

kodi-dmo (5:18.7-dmo2) unstable; urgency=medium

  * Replaces fonts-glewlwyd by fonts-glyphicons-halflings

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jun 2020 07:48:31 +0200

kodi-dmo (5:18.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 May 2020 12:09:30 +0200

kodi-dmo (5:18.6-dmo3) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery
  * Build with libcec5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 16:33:15 +0200

kodi-dmo (5:18.6-dmo2) unstable; urgency=medium

  * kodi-eventclients-ps3 replaces python-bluez dependency by python3-bluez


=== debian/control ===
Source: kodi-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://kodi.tv/
Standards-Version: 4.5.0
Build-Conflicts: libegl1-imx, libomxil-bellagio-dev [armel armhf], libafpclient-dev, libsndio-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libgtest-dev,
 libasound2-dev | libasound-dev, libdrm-dev, ninja-build, libdav1d-dev,
 libpcre3-dev (>= 2:8.35-7.1), libass-dev (>= 0.9.7), libmicrohttpd-dev, zip,
 liblcms2-dev, libegl-dev, libbluray-dev, libtinyxml-dev (>= 2.6.2-3),
 libcec-dev (>= 2:6~), libshairplay-dev, libcurl4-gnutls-dev, libdbus-1-dev,
 libxrender-dev, libavahi-common-dev, libdvdcss-dev, libfmt-dev (>= 6.1.2~),
 rapidjson-dev (>= 1.1.0~), flatbuffers-compiler, libflatbuffers-dev, quilt,
 libunistring-dev, wayland-protocols, waylandpp-dev, libfribidi-dev, cmake,
 libsqlite3-dev, libmariadb-dev, liblirc-dev, libgbm-dev, libpng-dev,
 libgl-dev, libglu1-mesa-dev, libglew-dev (>= 1.13.0~), libegl1-mesa-dev,
 libjpeg62-turbo-dev, libfreetype-dev, libmms-dev, libfontconfig-dev,
 liblzo2-dev, libcdio-dev (>= 1:2.1.0~), libavahi-compat-libdnssd-dev,
 libcrossguid-dev (>= 2:0.0+git200150803~), libsamplerate-dev, libfstrcmp-dev,
 libsmbclient-dev, libiso9660++-dev, libvdpau-dev, uuid-dev, libgif-dev,
 udev, libcap-dev, swig, libgles-dev [armel armhf arm64], libxrandr-dev,
 libcwiid-dev, libbluetooth-dev (>= 4.98-2), zlib1g-dev, libxkbcommon-dev,
 libtag1-dev (>= 1.8), libxslt1-dev, default-jre-headless, libpulse-dev,
 libva-dev (>= 1.0.7), libssh-dev, libplist-dev, nasm [any-amd64 any-i386],
 libxt-dev, libxtst-dev, libxmu-dev, libudev-dev, libxinerama-dev, python3-dev,
 libnfs-dev (>= 1:4.0.0~), libspdlog-dev (>= 1:1.5.0~), libinput-dev,
 libudfread-dev, libkissfft-dev

Package: kodi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: ${shlibs:Recommends}, udisks2
Suggests: ${shlibs:Suggests}
Breaks: kodi-standalone (<= 5:18.4-dmo2), kodi-bin (<= 5:18.4-dmo2), kodi-data (<= 5:18.5-dmo1),
 kodi-wayland (<= 5:18.99~), kodi-gbm (<= 5:18.99~), kodi-x11 (<= 5:18.99~), ${kodi:APIBREAKS}
Provides: ${kodi:APIPROVIDES}
Description: Open Source Home Theatre (executable binaries)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, mesa-utils, x11-utils, python3-pil, node-jquery, python3-pycryptodome
Conflicts: kodi-skin-confluence, kodi-repository-kodi, kodi-bin
Replaces: kodi-skin-confluence, kodi-repository-kodi, kodi-bin
Description: Open Source Home Theatre (arch-independent data package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi (formally known as XBMC), is an award winning free
 and open source software media-player and entertainment hub for all your
 digital media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and
 Apple TV) and Microsoft Windows, as well as the original Xbox game console.
 Created in 2003 by a group of like minded programmers, Kodi is a non-profit
 project run and developed by volunteers located around the world. More than
 50 software developers have contributed to Kodi, and 100-plus translators
 have worked to expand its reach, making it available in more than 30
 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-ps3
Architecture: all
Depends: kodi-eventclients-common (= ${binary:Version}), python3-bluez, ${python3:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client PS3 package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the PS3 package for Kodi Event Client.

Package: kodi-addons-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: kodi-addons-dev-common (= ${source:Version}), ${misc:Depends}
Provides: dh-sequence-kodiaddon (= ${binary:Version})
Conflicts: kodi-eventclients-dev
Replaces: kodi-eventclients-dev
Description: Open Source Home Theatre (Addons Dev package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the development package for Kodi Addons.
 .
 This package contains independent headers for building Addons without the
 whole Kodi source tree.

Package: kodi-addons-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: kodi-addons-dev (<< 5:19.5-dmo0+deb11u1)
Replaces: kodi-addons-dev (<< 5:19.5-dmo0+deb11u1)
Description: Open Source Home Theatre (architecture-independent addon development package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media. 
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the development package for Kodi Addons.
 .
 This package contains independent headers for building addons without the
 need to keep a whole Kodi source tree.

=== debian/rules ===
#!/usr/bin/make -f

ifeq "$(DEB_BUILD_ARCH)" "armel"
	ARCH_SPECIFIC_OPTIONS = -DENABLE_NEON=OFF
	export DEB_LDFLAGS_MAINT_APPEND = -latomic
	CFLAGS := $(CFLAGS:-g=-g0)
	CXXFLAGS := $(CXXFLAGS:-g=-g0)
endif

ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif

# ffmpeg version :
# grep VERSION= tools/depends/target/ffmpeg/FFMPEG-VERSION

%:
	dh $@ --with quilt -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DAPP_RENDER_SYSTEM=gl \
	-DENABLE_AIRTUNES=ON \
	-DENABLE_ALSA=ON \
	-DENABLE_AVAHI=ON \
	-DENABLE_BLURAY=ON \
	-DENABLE_CCACHE=OFF \
	-DENABLE_CEC=ON \
	-DENABLE_DBUS=ON \
	-DENABLE_DEBUGFISSION=OFF \
	-DENABLE_DVDCSS=ON \
	-DENABLE_EVENTCLIENTS=ON \
	-DENABLE_INTERNAL_CROSSGUID=OFF \
	-DENABLE_INTERNAL_FFMPEG=ON \
	-DENABLE_INTERNAL_KISSFFT=OFF \
	-DENABLE_INTERNAL_RapidJSON=OFF \
	-DENABLE_LIRCCLIENT=ON \
	-DENABLE_MARIADBCLIENT=ON \
	-DENABLE_MICROHTTPD=ON \
	-DENABLE_NFS=ON \
	-DENABLE_OPTICAL=ON \
	-DENABLE_PULSEAUDIO=ON \
	-DENABLE_UDEV=ON \
	-DENABLE_UPNP=ON \
	-DENABLE_VAAPI=ON \
	-DENABLE_VDPAU=ON \
	-DENABLE_XSLT=ON \
	-DFFMPEG_URL=../kodi-dmo_19.5.orig-ffmpeg-4-3-9.tar.xz \
	-Wno-dev \
	$(ARCH_SPECIFIC_OPTIONS)

#	exit 1

override_dh_clean:
	dh_clean lib/cpluff/console/cpluff-console lib/cpluff/loader/cpluff-loader \
	lib/cpluff/Makefile.in lib/cpluff/auxliary/ltmain.sh lib/cpluff/config.log \
	lib/cpluff/config.status lib/cpluff/console/Makefile.in lib/cpluff/examples/cpfile/cpfile \
	lib/cpluff/libcpluff/Makefile.in lib/cpluff/libcpluff/libcpluff.la lib/cpluff/libtool \
	lib/cpluff/loader/Makefile.in lib/cpluff/po/Makefile lib/cpluff/po/Makefile.in \
	debian/*.so kodi_build_*/

	find -name .deps | xargs -r rm -rf
	find -name .libs | xargs -r rm -rf
	find -name *.exe -delete
	find -name *.chm -delete
	find -name *.dll -delete

	find -name *.o -delete
	find -name *.lo -delete

	find -name Makefile -exec grep -l "automake-1" {} \; | xargs -r rm

	[ ! -f tools/depends/native/TexturePacker/native/Makefile ] || $(MAKE) -C tools/depends/native/TexturePacker/native distclean

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/kodi/kodi-eventclients-dev/examples
	rm debian/tmp/usr/share/kodi/media/Fonts/arial.ttf
	rm debian/tmp/usr/share/kodi/system/settings/darwin*.xml
	rm debian/tmp/usr/share/kodi/system/settings/android.xml
	rm debian/tmp/usr/share/kodi/system/settings/win32.xml
	rm debian/tmp/usr/share/doc/kodi/version.txt
	rm debian/tmp/usr/share/doc/kodi/LICENSE.md
	rm debian/tmp/usr/share/doc/kodi/README.Linux.md

	find debian/tmp -name copying.txt -delete

	rm debian/tmp/usr/share/kodi/addons/skin.estuary/fonts/*.txt

#	find debian/tmp/usr -name '*.in' | xargs -r rm

	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_shlibdeps: debian/kodi-suggests-dummy.so
	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/kodi/system/players/dvdplayer

#	dpkg-shlibdeps -dRecommends -edebian/kodi-recommends-dummy.so -xlibc6 -O >> debian/kodi.substvars
	dpkg-shlibdeps -dSuggests -edebian/kodi-suggests-dummy.so -xlibc6 -O >> debian/kodi.substvars

#debian/kodi-recommends-dummy.so:
# See obj-*/build/DllPaths_generated.h after a call to dh_auto_configure

#	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
#	-lplist -lshairplay

debian/kodi-suggests-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-ldvdcss

override_dh_gencontrol:
	debian/dh-addon/dh_kodiaddon_depends
	dh_gencontrol

override_dh_strip:
ifeq "$(DEB_BUILD_ARCH)" "arm64"
	objcopy -S debian/kodi/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/kodi.bin
endif

	dh_strip

override_dh_dwz override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/xbmc/tags \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@
